DL - Drivers

Windows


Note: Driver installation requires the use of Administor privileges.
 

Windows 10 No driver installation needed for Windows 10.
If Bluetooth is not available when the adapter is plugged in, please update Windows: How To Update Windows 10
WIDCOMM Bluetooth Software
Windows 8/8.1 No driver installation needed for Windows 8/8.1.
The legacy drivers below may offer additional functionality.
WIDCOMM Bluetooth Software
Windows 7 WIDCOMM Bluetooth Software
Windows Vista Windows Vista is no longer supported. Drivers are provided as a courtesy.
WIDCOMM Bluetooth Software
Windows XP 32-bit Windows XP is no longer supported. Drivers are provided as a courtesy.
WIDCOMM Bluetooth Software
Windows XP 64-bit Windows XP is no longer supported. Drivers are provided as a courtesy.
WIDCOMM Bluetooth Software

Mac OS X

No drivers are needed for OS X. Broadcom Bluetooth drivers are integrated into Mac OS X. Only the Intel versions of MacOS X are supported.

Supported versions: 10.6 Snow Leopard, 10.7 Lion, 10.8 Mountain Lion, 10.9 Mavericks, 10.10 Yosemite, 10.11 El Capitan, 10.12 Sierra, 10.13 High Sierra and 10.14 Mojave.

Linux

The Linux kernel (2012 and later) has driver support for the BTD-400.

The BTD-400 has been tested on the Red Hat, Fedora, CentOS, Debian, Ubuntu, and Linux Mint distributions.

Set-up instructions for these distributions are available at the link below: https://support.kinivo.com/hc/en-us/articles/360037676613-HT-Linux-Installation

 

Comments

1 comment

  • Avatar
    Amritendu Majumdar

    After plug in to the port, and downloading the recommended software message coming while installing "SETUP HAS DETECTED AN INCOMPATIBLE VERSION OF WINDOWS". Need help to install the adapter in my PC. My OS is WINDOWS 10.

    0
    Comment actions Permalink

Please sign in to leave a comment.

Powered by Zendesk